<div class="pt-1 w-auto h-auto">

    <p-card>
        <!-- <p-fieldset> -->
        <div
            style="width: 240px; background-color: cornflowerblue; border-radius: 10px;padding: 10px;color: white;font-size: larger;font-weight: bolder;margin-bottom: 10px;">
            แนบเอกสาร (Upload Files) </div>
        <div style="padding-left: 10px;">
            <p>
                <b>เลขที่ใบส่งต่อ</b> : {{refer_no}} <br>
                <b>ชื่อ-สกุล</b> : {{fullname}} <br>
            </p>
            <p><b>ประเภทเอกสาร</b></p>
            <div class="flex align-items-stretch flex-wrap card-container green-container" style="margin-bottom: 10px;">
                <!-- <label for="code">ประเภทเอกสาร</label><br> -->
                <!--                             <select id="code" [(ngModel)]="code" pInputText class="w-full inputfield" style="appearance: auto">
                                <option [value]="i.code" *ngFor="let i of itemeTypeAtt">{{i.description}}</option>
                            </select> -->

                <!-- <span class="p-column-title">ประเภทเอกสาร</span>
                            <select id="code" [(ngModel)]="code" pInputText class="w-full inputfield" style="appearance: auto">
                                <option [value]="">กรุณาเลือกประเภทเอกสาร</option>
                                <option [value]="i.code" *ngFor="let i of itemeTypeAtt">{{i.description}}</option>
                            </select> -->
                <div class="ui-g">
                    <p-radioButton *ngFor="let i of itemeTypeAtt" name="filetype" [value]="i.code"
                        [label]="i.description" [(ngModel)]="code" [inputId]="i.code" style="margin-left: 8px;">
                    </p-radioButton>
                </div>
            </div>
            <p><b>เลือกไฟล์</b></p>
            <div style="margin-bottom: 10px;">
                <!-- <mat-label>เลือกไฟล์ : </mat-label> -->
                <button mat-raised-button (click)="fileInput.click()" style="background-color:lightskyblue;"> {{ file ? file.name : 'Select' }}
                </button>


                <input hidden type="file" #fileInput (change)="onFileInput(fileInput.files)" />
                <button [disabled]="!file" type="submit" mat-raised-button color="primary" (click)="onSaveUpload()"
                    style="margin-left: 10px;">uploadFile</button>
            </div>

        </div>

        <!--             <div class="grid">
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <span class="p-column-title">เลขที่ใบส่งต่อ</span>
                        <input id="att_name" type="text" [(ngModel)]="refer_no" class="inputfield w-full" pInputText
                            placeholder="" disabled="true">
                    </div>
                </div>
                <div class="col-6">
                    <div class="flex align-items-stretch flex-wrap card-container green-container">
                        <span class="p-column-title">ชื่อ-สกุล</span>
                        <input id="att_name" type="text" [(ngModel)]="fullname" class="inputfield w-full" pInputText
                            placeholder="" disabled="true">
                    </div>
                </div>
            </div> -->

        <p-table #dt [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
            [rowHover]="true" [rows]="25" [showCurrentPageReport]="true" [rowsPerPageOptions]="[5,6,8,10,25,50]"
            [loading]="loading" [paginator]="false"
            currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ" [filterDelay]="0"
            [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
            paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}" [virtualRowHeight]="5"
            [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="5" selectionMode="single"
            dblClickSelect="false" (onRowSelect)="onRowSelect($event)">


            <ng-template pTemplate="header">
                <tr>
                    <th class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn
                        style="background-color: cornflowerblue;">วันที่</th>
                    <th class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn
                        style="background-color: cornflowerblue;">รูปแบบไฟล์</th>
                    <th class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn
                        style="background-color: cornflowerblue;">ประเภทเอกสาร</th>
                    <th class="text-center justify-content-center pt-2 pb-2" style="background-color: cornflowerblue;">
                    </th>
                </tr>

            </ng-template>
            <ng-template pTemplate="body" let-rowsData>
                <tr class="p-selectable-row" [pSelectableRowDblClick]="rowsData">
                    <td class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn>
                        <span class="p-column-title">วันที่</span>
                        {{rowsData.created_date | thaidate:'short'}}
                    </td>
                    <td #pFrozenColumn class="pt-2 pb-2">
                        <span class="p-column-title">รูปแบบไฟล์</span>
                        <i class="fas fa-file-pdf" *ngIf="rowsData.att_path.includes('pdf')==true "></i>
                        <span *ngIf="rowsData.att_path.includes('pdf')==true " style="margin-left: 5px;">ไฟล์เอกสาร</span>
                        <i class="fas fa-file-image" *ngIf="rowsData.att_path.includes('pdf')==false "></i>
                        <span *ngIf="rowsData.att_path.includes('pdf')==false " style="margin-left: 5px;">รูปภาพ</span>
                    </td>
                    <td class="text-start justify-content-start pt-2 pb-2" #pFrozenColumn>
                        <span class="p-column-title">ประเภทเอกสาร</span>
                        <span *ngIf="rowsData.description==null">{{rowsData.att_type}}</span>
                        <span *ngIf="rowsData.description!=null">{{rowsData.description}}</span>

                    </td>
                    <td class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn>
                        <span class="p-column-title"></span>
                        <span class="p-inputgroup-addon" pTooltip="ดาวน์โหลด"
                            (click)="downloadAttRoute(rowsData.att_path)"><i class="fas fa-download"
                                style="line-height: 1.25;color:green"></i></span>
                        <span class="p-inputgroup-addon" *ngIf="rowsData.att_name==hcode " pTooltip="ลบ"
                            (click)="deleteAttRoute(rowsData.id)"  style="margin-left: 10px;"><i class="pi pi-trash"
                                style="line-height: 1.25;color:red"></i></span>
                    </td>
                </tr>
            </ng-template>
            <ng-template pTemplate="emptymessage">
                <tr>
                    <td colspan="5">ไม่พบรายการ..</td>
                </tr>
            </ng-template>
        </p-table>

        <!-- </div>
        </div> -->
        <!-- </p-fieldset> -->
    </p-card>

</div>